# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.676.10.1 -> 1.676.12.1
#	arch/ia64/mm/Makefile	1.1     -> 1.2    
#	 arch/ia64/mm/init.c	1.7     -> 1.8    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/09/25	alex_williamson@attbi.com	1.676.1.5
# fs/partitions/sun.c: raid autodetect for sun disk labels
# --------------------------------------------
# 02/09/26	shaggy@kleikamp.austin.ibm.com	1.676.3.11
# Merge jfs@jfs.bkbits.net:linux-2.4
# into kleikamp.austin.ibm.com:/home/shaggy/bk/jfs-2.4
# --------------------------------------------
# 02/09/26	agrover@groveronline.com	1.676.10.2
# Merge groveronline.com:/root/bk/linux-2.4
# into groveronline.com:/root/bk/linux-2.4-acpi
# --------------------------------------------
# 02/09/26	jgarzik@mandrakesoft.com	1.689
# Merge mandrakesoft.com:/home/jgarzik/repo/marcelo-2.4
# into mandrakesoft.com:/home/jgarzik/repo/net-drivers-2.4
# --------------------------------------------
# 02/09/26	shaggy@kleikamp.austin.ibm.com	1.676.3.12
# JFS: detect and fix invalid directory index values
# 
# The directory index values are the unique cookies used to resume
# a readdir at the proper place.  These are stored with each entry
# in a directory.  fsck.jfs does not currently validate these entries,
# nor even create them when populating the lost+found directory.
# 
# This patch causes readdir to detect the invalid cookies, and generate
# new ones, if possible.
# --------------------------------------------
# 02/09/26	jes@trained-monkey.org	1.690
# acenic net drvr fix: remove '=' typo in intr mask writel()
# --------------------------------------------
# 02/09/26	gibbs@overdrive.btc.adaptec.com	1.676.11.1
# Merge http://linux.bkbits.net/linux-2.4
# into overdrive.btc.adaptec.com:/usr/home/gibbs/bk/linux-2.4
# --------------------------------------------
# 02/09/26	devik@cdi.cz	1.676.2.5
# net/sched/sch_htb.c: Verify classid and direct_qlen properly.
# --------------------------------------------
# 02/09/26	yoshfuji@linux-ipv6.org	1.676.2.6
# [IPv6]: Verify ND options properly.
# --------------------------------------------
# 02/09/27	shaggy@kleikamp.austin.ibm.com	1.676.3.13
# JFS: Remove assert(i < MAX_ACTIVE)
# 
# If the log (journal) superblock is changed between the time we mount
# and unmount the volume, don't trap.  Instead complain, and exit
# gracefully.
# --------------------------------------------
# 02/09/27	agrover@groveronline.com	1.676.10.3
# ACPI: Make the ACPI SCI interrupt get the right polarity
# when it is explicitly overridden in the MADT
# --------------------------------------------
# 02/09/27	agrover@groveronline.com	1.676.10.4
# ACPI: Add support for HPET tables (Andi Kleen)
# --------------------------------------------
# 02/09/27	schwab@suse.de	1.676.12.1
# ia64: Add missing symbol exports for modules.
# --------------------------------------------
#
diff -Nru a/arch/ia64/mm/Makefile b/arch/ia64/mm/Makefile
--- a/arch/ia64/mm/Makefile	Wed Oct  8 09:09:56 2003
+++ b/arch/ia64/mm/Makefile	Wed Oct  8 09:09:56 2003
@@ -9,6 +9,8 @@
 
 O_TARGET := mm.o
 
+export-objs := init.o
+
 obj-y	 := init.o fault.o tlb.o extable.o
 
 include $(TOPDIR)/Rules.make
diff -Nru a/arch/ia64/mm/init.c b/arch/ia64/mm/init.c
--- a/arch/ia64/mm/init.c	Wed Oct  8 09:09:56 2003
+++ b/arch/ia64/mm/init.c	Wed Oct  8 09:09:56 2003
@@ -5,6 +5,7 @@
  *	David Mosberger-Tang <davidm@hpl.hp.com>
  */
 #include <linux/config.h>
+#include <linux/module.h>
 #include <linux/kernel.h>
 #include <linux/init.h>
 
@@ -40,6 +41,7 @@
 
 #ifdef CONFIG_VIRTUAL_MEM_MAP
 unsigned long vmalloc_end = VMALLOC_END_INIT;
+EXPORT_SYMBOL(vmalloc_end);
 
 static struct page *vmem_map;
 static unsigned long num_dma_physpages;
@@ -474,6 +476,8 @@
 
 	return __get_user(byte, (char *) page) == 0;
 }
+
+EXPORT_SYMBOL(ia64_page_valid);
 
 #endif /* CONFIG_VIRTUAL_MEM_MAP */
 
